Get an Amazon product (v1)
Returns the product page for asin in market: price, list price, rating breakdown, features, images, spec table, sales ranks, variations, seller, Amazon's review summary and the top reviews shown on the page. An ASIN the store does not list returns data: null.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
asin*string
The product's ASIN: the 10 characters after /dp/ in its URL, or asin from a search result.
Match
^[A-Z0-9]{10}$market?string
Amazon store, by country code: US is amazon.com, GB amazon.co.uk, DE amazon.de, JP amazon.co.jp.
Default
"US"curl -X GET "https://example.com/v1/amazon/product?asin=B0BSHF7WHW" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "market": "string", "domain": "string", "currency": "string", "asin": "string", "title": "string", "url": "string", "brand": "string", "brand_url": "string", "price": "string", "price_value": 0, "list_price": "string", "list_price_value": 0, "availability": "string", "rating": 0, "ratings_count": 0, "rating_distribution": { "property1": 0, "property2": 0 }, "bought_past_month": "string", "categories": [ "string" ], "features": [ "string" ], "description": "string", "images": [ "string" ], "details": { "property1": "string", "property2": "string" }, "sales_ranks": [ { "rank": 0, "category": "string", "slug": "string", "node": "string" } ], "variations": { "dimensions": [ { "key": "string", "name": "string", "values": [ "string" ] } ], "asins": [ { "asin": "string", "values": [ "string" ] } ] }, "seller": { "sold_by": "string", "seller_id": "string", "ships_from": "string" }, "customers_say": "string", "review_aspects": [ { "name": "string", "mentions": 0, "sentiment": "string", "summary": "string" } ], "top_reviews": [ { "review_id": "string", "rating": 0, "title": "string", "text": "string", "date": "string", "author": "string", "verified_purchase": true, "variant": "string", "helpful_votes": 0, "images": [ "string" ] } ] }, "details": { "reason": "string", "message": "string" }}